Bug 1287143 - Display settings - incorrect behaviour of "Revert Settings" button
Display settings - incorrect behaviour of "Revert Settings" button
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mutter (Show other bugs)
7.2
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 10:37 EST by Vasiliy Sharapov
Modified: 2017-01-09 11:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Sharapov 2015-12-01 10:37:45 EST
Description of problem:
If more than one rotation is applied in sequence, "Revert Settings" will revert to the previous applied, not the previous applied and kept.

Version-Release number of selected component (if applicable):
RHEL-7.2-20151008.0
gnome-settings-daemon-3.14.4-9.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Rotate screen Left
2. Revert settings
     (Correct behaviour - reverts to last kept setting)
3. Rotate screen right
4. Revert settings

Actual results:
Reverts to Rotate Left - the last setting applied, even though it wasn't kept.

Expected results:
Reverts to Normal - the last setting applied and kept.

Additional info:
Comment 1 Bastien Nocera 2016-01-12 13:33:31 EST
The dialogue and the configuration are handled in gnome-shell for the former, and mutter for the latter. Reassigning to mutter.

Note You need to log in before you can comment on or make changes to this bug.